Skip to main content

Get service

Method GET

https://my.easyweek.io/api/public/v2/services/{service_uuid}

Description: This endpoint retrieves a single service by UUID, including services that are not live. A service that does not belong to the workspace returns 404.

Example Request

curl -i -X GET \
https://my.easyweek.io/api/public/v2/services/{service_uuid} \
-H 'Authorization: Bearer <YOUR_SECRET>' \
-H 'Workspace: <YOUR_WORKSPACE>'

Path Parameters

  • service_uuid (string, required): The unique identifier of the service to retrieve.

Example Response

{
"uuid": "43537759-435b-4871-bf11-e3ace6a4464b",
"name": "Basic cut",
"description": null,
"images": [],
"currency": "EUR",
"price": 2000,
"price_formatted": "€20.00",
"price_type": "base",
"discount": null,
"discount_formatted": null,
"duration": {
"value": 30,
"label": "minutes",
"iso_8601": "PT30M"
},
"is_extra_time": false,
"extra_time": {
"value": 0,
"label": "minutes",
"iso_8601": "PT0S"
},
"is_price_hidden": false,
"is_duration_hidden": false,
"is_top": false,
"starting_at": false,
"live": true,
"live_in_widget": false,
"class": null,
"category": {
"uuid": "41765a3f-d8eb-4853-8558-0718c49c58d0",
"name": "Hair Styling",
"order": 1,
"cover": null
},
"locations": [
{ "uuid": "123b2980-3506-4f8c-abce-97e1ab653406", "name": "Downtown" }
],
"staffers": [
{ "uuid": "eac5a506-69c0-40c4-8758-85c501d26bcb" }
]
}